cURL
curl --request POST \ --url https://sigmaaml.sabipay.com/api/v1/aml/pep/instant \ --header 'Content-Type: application/json' \ --header 'apiKey: <api-key>' \ --header 'apiSecret: <api-key>' \ --data ' { "name": "<string>", "threshold": 85, "country": "<string>" } '
{ "message": "<string>", "count": 123, "pageNumber": 123, "data": [ { "_id": "<string>", "type": "<string>", "externalId": "<string>", "__v": 123, "addresses": [ "<string>" ], "aliases": [ "<string>" ], "birth_date": "2023-12-25", "countries": [ "<string>" ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "dataset": [ { "name": "<string>", "url": "<string>" } ], "entityType": "<string>", "name": "<string>", "sanctions": [ "<string>" ], "photo": "<string>", "politicalParty": [ "<string>" ], "gender": "<string>", "positions": [ { "title": "<string>", "startDate": "<string>", "endDate": "<string>", "_id": "<string>" } ], "education": [ { "title": "<string>", "startDate": "<string>", "endDate": "<string>", "_id": "<string>" } ], "tags": [ "<string>" ], "searchScore": 123, "confidenceScore": 123 } ] }
POST api/v1/aml/pep/instant
Documentation IndexFetch the complete documentation index at: https://sigma-docs.pastel.africa/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://sigma-docs.pastel.africa/llms.txt
Use this file to discover all available pages before exploring further.
Pep request payload
Full name of the individual to be screened
Matching threshold for screening (e.g. similarity score)
85
Country code (e.g., 'ru' for Russia)
Request was successful
A message indicating the status of the sanctions list fetch operation
The total number of matching records found
The current page number of the results
List of matched individuals/entities from the sanctions or PEP lists
Show child attributes